utl::meta::rev_fold_impl::rev_fold_< typelist< Head, Tail... >, V, Fn > Struct Template Reference

`#include <typelist.h>`

## Public Types

using | type = invoke< Fn, Head, eval< rev_fold_< typelist< Tail... >, V, Fn > > >

## Detailed Description

### template<typename Head, typename... Tail, typename V, typename Fn>
struct utl::meta::rev_fold_impl::rev_fold_< typelist< Head, Tail... >, V, Fn >

Definition at line 399 of file typelist.h.

## Member Typedef Documentation

## type

template<typename Head , typename... Tail, typename V , typename Fn >

using utl::meta::rev_fold_impl::rev_fold_< typelist< Head, Tail... >, V, Fn >::type = invoke < Fn, Head, eval< rev_fold_ < typelist<Tail...>, V, Fn > > >

Definition at line 409 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h